server:
  port: 15002
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://92.1.44.16:3306/auto_ferry?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: root
    password: BaiChuanXin@2017
  redis:
    host: 92.1.44.16 #地址
    port: 6363 #端口
    password: Redis#2022
    timeout: 10000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    jedis:
      pool:
        max-active: 200 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
        time-between-eviction-runs: -1 #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.nologging.NoLoggingImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        ferry: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

# 摆渡工具服务配置
baiduutil-server-config:
  #目标系统配置
  region-codes: govin-to-public,govin-to-govout
  api:
    # 拉取数据包接口
    pull-url: http://92.1.44.225:19001/pull/data/manual
    # 推送数据包接口
    push-url: http://92.1.44.225:19001/push/data/
    # 查询拉取结果接口
    pull-query-result-url: http://92.1.44.225:19001/pull/data/query/result
    # 查询推送结果接口
    push-query-result-url: http://92.1.44.225:19001/push/data/query/result/
  # 政务的摆渡工具（内网可以放空）
  govout-api:
    # 拉取数据包接口
    pull-url:
    # 推送数据包接口
    push-url:
    # 查询拉取结果接口
    pull-query-result-url:
    # 查询推送结果接口
    push-query-result-url:

# 摆渡通道文件夹配置
ferry-channel-config:
  # 目标服务器配置
  target-type:
  target-ip:
  target-port:
  target-username:
  target-password:
  # 发送摆渡的文件夹
  send-path:

# 定时任务配置
scheduling-config:
  # 创建摆渡任务
  create-ferry-task:
    # 每1分钟执行一次
    cron: 5 */1 * * * ?
    # 每次摆渡拉取时间间隔，分钟
    time-interval: 30
  # 查询摆渡任务状态-拉取完成
  query-pull-complete:
    # 每1分钟执行一次
    cron: 15 */1 * * * ?
  # 查询摆渡任务状态-放入发送文件夹完成
  query-put-send-complete:
    # 每1分钟执行一次
    cron: 25 */1 * * * ?
  # 检测接收摆渡文件
  detection-receive-file:
    # 每1分钟执行一次
    cron: 35 */1 * * * ?
  # 查询接收任务状态-摆渡完成
  query-receive-task-complete:
    # 每1分钟执行一次
    cron: 50 */1 * * * ?

# 摆渡接收配置
receive-config:
  # 接收摆渡包检测目录
  detection-url: /data/baidu/auto_ferry/receive
  # 执行摆渡的目录
  package-url: /data/baidu/push/

# 开关
ferry-switch-config:
  # 是否开启拉取摆渡包
  enable-pull: false
  # 是否等待上个摆渡任务执行完成再继续摆渡下一个任务
  wait-last-task: false